django/contrib/auth/urls.py
# The views used below are normally mapped in django.contrib.admin.urls.py
# This URLs file is used to provide a reliable view deployment for test purposes.
# It is also provided as a convenience to those who want to deploy these URLs
# elsewhere.

from django.contrib.auth import views
from django.urls import path

urlpatterns = [
    path('login/', views.LoginView.as_view(), name='login'),
    path('logout/', views.LogoutView.as_view(), name='logout'),

    path('password_change/', views.PasswordChangeView.as_view(), name='password_change'),
    path('password_change/done/', views.PasswordChangeDoneView.as_view(), name='password_change_done'),

    path('password_reset/', views.PasswordResetView.as_view(), name='password_reset'),
    path('password_reset/done/', views.PasswordResetDoneView.as_view(), name='password_reset_done'),
    path('reset/<uidb64>/<token>/', views.PasswordResetConfirmView.as_view(), name='password_reset_confirm'),
    path('reset/done/', views.PasswordResetCompleteView.as_view(), name='password_reset_complete'),
]

django_osvald/urls.py
from django.urls import include, path
from django.contrib import admin
from django.contrib.auth import views as auth_views
from osvald import views
from osvald import views as osvald
from django.conf.urls import handler404, handler500,handler403

urlpatterns = [

    path('admin/', admin.site.urls),
    path(r'', include('osvald.urls')),

]

handler404 = osvald.error_404
handler500 = osvald.error_500
handler403 = osvald.error_403

osvald/urls.py
from django.conf.urls import url
from . import views
from django.contrib.auth import views as auth_views
from osvald.views import collectionsList


urlpatterns = [
    url(r'^login/$', auth_views.login, {'template_name': 'osvald/login.html'}, name='login'),
    url(r'^logout/$', auth_views.logout, {'next_page': '/login/'}, name='logout'),


    ## url(r'^$', auth_views.login, {'template_name': 'osvald/login.html'}, name='login'),
    ##url(r'^$', views.home, name='home'),
    url(r'^$', views.mereni, name='mereni'),
    url(r'^new_activity/$', views.new_activity, name='new_activity'),
    url(r'^collections/$', collectionsList,name='collectionsList'),
    url(r'^continue_activity/$', views.continue_activity, name='continue_activity'),
    url(r'^pause_activity/$', views.pause_activity, name='pause_activity'),
    url(r'^end_activity/$', views.end_activity, name='end_activity'),
    url(r'^update_activity/$', views.update_activity, name='update_activity'),
    url(r'^update_resolution/$', views.update_resolution, name='update_resolution'),
    url(r'^get_time/$', views.get_time, name='get_time'),
    url(r'^test_data/$', views.test_data, name='test_data'),
    url(r'^get_authorized/$', views.get_authorized, name='get_authorized'),

    # user activity view
    url(r'^user/(?P<username>\w+)/$', views.user_activity_view, name='user_activity_view'), ##> ok
    url(r'^user/(?P<username>.+)/users/dependend/$', views.user_all_dependend_users_view, name='user_all_dependend_users_view'),#OK
    url(r'^user/(?P<username>.+)/logic_team/dependend/$', views.user_all_dependend_logic_view, name='user_all_dependend_logic_view'),#ok
    url(r'^user/(?P<username>.+)/group/dependend/$', views.user_all_dependend_group_view, name='user_all_dependend_group_view'),#ok

    # user activity view
    url(r'^group/(?P<group>.+)/users/$', views.group_all_dependend_users_view, name='group_all_dependend_users_view'),#ok
    url(r'^group/(?P<group>.+)/dependend/$', views.group_all_dependend_group_view, name='group_all_dependend_group_view'),
    url(r'^group/(?P<group>.+)/logic_team/$', views.group_all_dependend_logic_view, name='group_all_dependend_logic_view'),
    url(r'^group/(?P<group>.+)/$', views.group_activity_view, name='group_activity_view'),  # ok

    url(r'^logic_team/(?P<name>.+)/$', views.logical_team_activity_view, name='logical_team_activity_view'), #ok

    url(r'^graph/(?P<name>.+)$', views.graph_detail, name='graph_detail'),
    url(r'^kapacity/$', views.kapacity_detail, name='kapacity_detail'),

    url(r'^test/$', views.test, name='test'),

]

osvald/models.py
import mptt
from django.db import models
from django.contrib import auth
from django.contrib.auth.models import User
from colorfield.fields import ColorField
from fontawesome.fields import IconField
from datetime import datetime
from django.db.models.signals import post_save
from django.dispatch import receiver
from mptt.fields import TreeForeignKey
from django_auth_ldap.backend import LDAPBackend
from django.utils import timezone

Activity_status = (
    (0, 'New'),
    (1, 'Paused'),
    (2, 'Closed'),
)

Full_contract = 480


class Selector_type_list(models.Model):
    name = models.CharField(max_length=200, blank=False, verbose_name="Jméno");
    decription = models.CharField(max_length=2000, blank=True, verbose_name="Popisek");
    show_form = models.BooleanField("Zobrazit formulář", default=True)

    def __str__(self):
        return self.name

    class Meta:
        verbose_name = 'Hodnoty číselník'
        verbose_name_plural = 'Hodnoty číselníků'
        ordering = ["name"]


class Selector_group(models.Model):
    name = models.CharField(max_length=200, blank=False, verbose_name="Jméno");
    decription = models.CharField(max_length=2000, blank=True, verbose_name="Popisek");
    items = models.ManyToManyField(Selector_type_list, verbose_name="Položky skupiny", db_index=True)

    class Meta:
        verbose_name = 'Skupina v číselníku'
        verbose_name_plural = 'Skupiny v číselníku'

    def __str__(self):
        return self.name


class Activity_selector(models.Model):
    name = models.CharField(max_length=200, blank=False, verbose_name="Název");
    decription = models.CharField(max_length=2000, blank=True, verbose_name="Popisek");
    values = models.ManyToManyField(Selector_group, verbose_name="Položky číselníku", db_index=True)

    class Meta:
        verbose_name = 'Číselník'
        verbose_name_plural = 'Číselníky'


class Osvald_modules(models.Model):
    name = models.CharField(max_length=200, blank=False, verbose_name="Jméno modulu");
    user = models.ManyToManyField(User, verbose_name="Přiřazení uživatelé", related_name="module_user")
    table = models.CharField(max_length=200, blank=False, verbose_name="Tabulka v DB");
    selector = models.ForeignKey(Activity_selector, blank=True, null=True, on_delete=models.CASCADE,
                                 verbose_name="Číselník")

    class Meta:
        verbose_name = 'Modul'
        verbose_name_plural = 'Moduly'

    def __str__(self):
        return self.name


class Module_table_collections(models.Model):
    user = models.ForeignKey(User, db_index=True, on_delete=models.CASCADE, verbose_name="Vytvořeno")
    date_created = models.DateField(blank=True, null=True, db_index=True, verbose_name="Datum zadání")
    customer_id = models.CharField(max_length=200, blank=True, null=True, db_index=True, verbose_name="ID klienta")
    document_id = models.CharField(max_length=200, blank=True, null=True, db_index=True, verbose_name="Číslo smlouvy")
    value = models.FloatField(blank=True, null=True, db_index=True, verbose_name="Částka (Kč)")
    description = models.CharField(max_length=2000, blank=True, null=True, verbose_name="Popisek");
    date_to_pay = models.DateField(blank=True, null=True, db_index=True, verbose_name="Datum přislíbení")
    selector = models.ForeignKey(Selector_type_list, null=True, db_index=True, verbose_name="Akce ",
                                 on_delete=models.CASCADE)

    class Meta:
        verbose_name = 'Collections'
        verbose_name_plural = 'Collections'


class Category_activity(models.Model):
    name = models.CharField("Název záložky", max_length=200)
    icon = IconField("Ikona záložky")
    description = models.TextField("Popisek (nepovinné)", max_length=2000, blank=True)
    color = ColorField("Barva záložky", default='#FF0000')

    class Meta:
        verbose_name = 'Záložka'
        verbose_name_plural = 'Záložky'

    def __str__(self):
        return self.name

    def id_name(self):
        return self.name.replace(' ', '_').replace(',', '')


class Logical_team(models.Model):
    name = models.CharField('Název týmu', max_length=200)
    description = models.TextField('Popisek', blank=True, max_length=2000)
    category = models.ManyToManyField(Category_activity, verbose_name="Přiřadit záložku", blank=True, db_index=True)
    user = models.ManyToManyField(User, verbose_name="Členství uživatelů", blank=True, db_index=True)

    class Meta:
        verbose_name = 'Logický tým'
        verbose_name_plural = 'Logické týmy'

    def id_str(self):
        return str(self.id)

    def __str__(self):
        return self.name


class Group(auth.models.Group):
    manager = models.ManyToManyField(User, verbose_name="Manažer", blank=True, related_name="group_manager")
    user = models.ManyToManyField(User, verbose_name="Uživatelé", blank=True, related_name="group_user")
    logical_team = models.ManyToManyField(Logical_team, verbose_name="Logické týmy", blank=True,
                                          related_name="group_logical_team", db_index=True)

    class Meta:
        verbose_name = "Skupina"
        verbose_name_plural = 'Skupiny'
        ordering = ["name"]

        def __unicode__(self):
            return self.verbose_name


TreeForeignKey(Group, blank=True, null=True, db_index=True, on_delete=models.CASCADE,
               verbose_name="Nadřazená skupina").contribute_to_class(Group, 'parent')
mptt.register(Group, order_insertion_on=["name"])


class User_external_id(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE, null=True, blank=True, db_index=True,
                                verbose_name="Uživatel")
    oc = models.CharField("Externí ID v LDAP", blank=False, null=True, db_index=True, max_length=6)

    def create_user_external_id(sender, instance, created, **kwargs):
        if created:
            new_profile = User_external_id.objects.create(user=instance)
            user = LDAPBackend().populate_user(instance.username)
            if user:
                oc = user.ldap_user.attrs.get("physicalDeliveryOfficeName", [])[0]
                new_profile.oc = oc
                new_profile.save()

    post_save.connect(create_user_external_id, sender=User)

    def __str__(self):
        return u"{}".format(self.user.username)


@receiver(post_save, sender=User)
def create_or_update_user_profile(sender, instance, created, **kwargs):
    if created:
        User_external_id.objects.create(user=instance)
        instance.user_external_id.save()


class User_logical_team(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE, null=True, blank=True, db_index=True)
    team = models.ForeignKey(Logical_team, on_delete=models.CASCADE, null=True, blank=True, db_index=True,
                             verbose_name="Primární logický tým")


@receiver(post_save, sender=User)
def create_or_update_user_profile(sender, instance, created, **kwargs):
    if created:
        User_logical_team.objects.create(user=instance)
        instance.user_logical_team.save()


class User_contract(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE, null=True, blank=True, db_index=True)
    contract = models.DecimalField(verbose_name="Velikost Úvazku", decimal_places=2, max_digits=30, null=True,
                                   blank=True, )


@receiver(post_save, sender=User)
def create_or_update_user_profile(sender, instance, created, **kwargs):
    if created:
        User_contract.objects.create(user=instance)
        instance.user_contract.save()


class Status_activity(models.Model):
    name = models.CharField('Název stavu', max_length=200)

    class Meta:
        verbose_name = 'Možné stavy aktivit'
        verbose_name_plural = 'Možné stavy aktivit'

    def __str__(self):
        return self.name


class Anet_activity_type(models.Model):
    name = models.CharField('Jméno', max_length=200)
    capitalized = models.BooleanField("Proplacené", default=True)
    external_id = models.PositiveIntegerField("ID v systému ANET", blank=False, db_index=True)

    class Meta:
        verbose_name = 'ANET kategorií'
        verbose_name_plural = 'ANET kategorie'

    def __str__(self):
        return self.name


class Template_activity_type(models.Model):
    name = models.CharField('Jméno', max_length=200, db_index=True)
    anet_category = models.ManyToManyField(Anet_activity_type, verbose_name="Aktivity v ANETu", blank=True,
                                           db_index=True)

    class Meta:
        verbose_name = 'Typ aktivity'
        verbose_name_plural = 'Typy aktivit'

    def __str__(self):
        return self.name


class Activity_subtype(models.Model):
    name = models.CharField('Jméno', max_length=200)
    description = description = models.TextField('Popisek', blank=True, null=True, max_length=2000)

    class Meta:
        verbose_name = 'Aktivity - combobox'
        verbose_name_plural = 'Aktivita - combobox'

    def __str__(self):
        return self.name


class Template_activity(models.Model):
    name = models.CharField("Název šablony", max_length=200, db_index=True)
    description = models.TextField("Popisek (nepovinné)", blank=True, max_length=2000)
    avg_time = models.TimeField(blank=True, default="00:00:00", verbose_name="Průměrný čas")
    id_category = models.ForeignKey(Category_activity, on_delete=models.CASCADE, db_index=True, verbose_name="Záložka")
    icon = IconField(verbose_name="Ikona")
    support_activity = models.BooleanField('Podpůrná aktivita', default=False, db_index=True)
    template_type = models.ForeignKey(Template_activity_type, on_delete=models.CASCADE, verbose_name="Typy aktivity",
                                      db_index=True)
    alow_subtype = models.BooleanField('Specifikace aktivity - combo', default=False)
    priority = models.IntegerField(default=0, verbose_name="Priorita - vyšší číslo = větší")

osvald/forms.py
from django import forms
from .models import *
from django.forms import ModelForm
import csv

class TeamChoiceField(forms.Form):

    teams = forms.ModelChoiceField(
        queryset=Logical_team.objects.all()

    )


class Collections(forms.ModelForm):
    class Meta:
        model = Module_table_collections
        fields = ('value', 'date_to_pay',)


class StartActivity(forms.ModelForm):
     class Meta:
         model = Activity
         fields = ('customer_id', 'document_id',)


class ReStartActivity(forms.ModelForm):
     class Meta:
         model = Activity
         fields = ('id','comment',)





class DataImport(ModelForm):
    file_to_import = forms.FileField()

    class Meta:
        model = Anet_activity
        fields = ("file_to_import",)

    def save(self, commit=False, *args, **kwargs):
        form_input = DataImport()
       ## self.place = self.cleaned_data['place']
        file_csv = self.request.FILES['file_to_import']
        datafile = open(file_csv, 'rb')
        records = csv.reader(datafile)
        for line in records:
            self.time = line[1]
            self.data_1 = line[2]
            self.data_2 = line[3]
            self.data_3 = line[4]
            form_input.save()
        datafile.close()

osvald/templates/osvald/401.html
{% load static %}<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="{% block sb_admin_description %}{% endblock sb_admin_description %}">
    <meta name="author" content="{% block sb_admin_author %}{% endblock %}">
    <title>{% block title %}Osvald - Kapacitní reporting{% endblock %}</title>

    <!-- Bootstrap Core CSS -->
    {% block sb_admin_bootstrap_css %}<link href="{% static "css/bootstrap.min.css"%}" rel="stylesheet">{% endblock sb_admin_bootstrap_css %}

    <!-- Custom CSS -->
    {% block main_css %}<link href="{% static "css/login/main.css"%}" rel="stylesheet">{% endblock main_css %}

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->


</head>
<body>

	<form method="post">
        <img src="{% static "image/osvald-logo-color.png"%}">

                <h2>OSVALD</h2>
                <h3>ERROR 401 - Nepřihlášen</h3>


                <h4><a href="javascript:history.back()">Jít zpět</a></h4>
  </form>
	



</body>
</html>

osvald/templates/osvald/base.html
{% load static %}{% load mptt_tags %}{% load fontawesome %}{% load render_table from django_tables2 %}<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="{% block sb_admin_description %}{% endblock sb_admin_description %}">
    <meta name="author" content="Tomáš Pavelka">
    <link rel="Osvald icon" href="static/favicon.ico" type="image/x-icon">
    <title>{% block title %}Osvald - Kapacitní reporting{% endblock %}</title>

    <!-- Bootstrap Core CSS -->
    {% block sb_admin_bootstrap_css %}
        <link href="{% static "css/bootstrap.min.css" %}" rel="stylesheet">{% endblock sb_admin_bootstrap_css %}

    <!-- Custom CSS -->
    {% block osvald_css %}
        <link href="{% static "css/portal.css" %}" rel="stylesheet">
    <link href="{% static "css/bootstrap-xl.css" %}" rel="stylesheet">
    {% endblock osvald_css %}


    <!-- Custom Fonts -->
    {% fontawesome_stylesheet %}
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

    {% block sb_admin_custom_css %}{% endblock sb_admin_custom_css %}

</head>

<body>

<div id="wrapper">
    <!-- Navigation -->
    <div data-alerts="alerts" data-titles='{"warning": "<em>Warning!</em>", "error": "<em>Error!</em>"}' data-ids="myid"
         data-fade="3000" id="alert-popup"></div>
{% include 'osvald/components/nav.html' %}

    <div id="page-wrapper">

        <div class="container-fluid">

            <!-- Page Heading -->
            <div class="row">

                <div class="col-lg-12">
                            <img class="rl-activity-logo" src="{% static "image/rl-logo.jpg" %}" alt="logo rl">
                    <h1 class="page-header">
                        {% block sb_admin_title %} {% endblock sb_admin_title %}
                        {% block sb_admin_subheading %}

                            <small></small>{% endblock sb_admin_subheading %}
                    </h1>

                </div>
            </div>
            <!-- /.row -->
            {% if messages %}
                <!-- Page Heading -->
                <div class="row">
                    <div class="col-lg-12">
                        <ul class="messages">
                            {% for message in messages %}
                                <div class="alert alert-info alert-dismissable">
                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">
                                        &times;
                                    </button>
                                    <i class="fa fa-info-circle"></i> {{ message }}
                                </div>
                                <!--<li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>-->
                            {% endfor %}
                        </ul>
                    </div>
                </div>
            {% endif %}

            {% block osvald_content %}
                <div>osvald content</div>
            {% endblock osvald_content %}


        </div>
        <!-- /.container-fluid -->

    </div>
    <!-- /#page-wrapper -->

</div>
{% if request.resolver_match.url_name == "mereni" %}
 {% include 'osvald/components/footer.html' %}
{% endif %}
<!-- /#wrapper -->


<!-- tooltip content-->

<div id="tooltip-activity" class="tooltip top" role="tooltip">
    <div class="tooltip-arrow"></div>
    <div class="tooltip-inner">
        Some tooltip text!
    </div>
</div>

<!-- jQuery -->
<script src="{% static "js/jquery.js" %}"></script>


<!-- Bootstrap Core JavaScript -->
<script src="{% static "js/bootstrap.min.js" %}"></script>
<script src="{% static "js/osvaldPortal.js" %}"></script>
<script src="{% static "js/easytimer.js" %}"></script>
<script src="{% static "js/bsAlerts.min.js" %}"></script>
<script src="{% static "js/moment.min.js" %}"></script>
<script src="{% static "js/datepicker.min.js" %}"></script>

{% block sb_admin_custom_js %}{% endblock sb_admin_custom_js %}
<noscript>
    <style type="text/css">
        .pagecontainer {
            display: none;
        }
    </style>
    <div class="noscriptmsg">
        <div class="alert alert-danger">
            <strong>Chyba!</strong> Nemáte povolený JavaScript bez něhož nelze aplikaci používat.
        </div>

    </div>
</noscript>

</body>

</html>

osvald/templates/osvald/graph_detail.html
{% extends "osvald/base.html" %}{% load static %}{% load render_table from django_tables2 %}{% load querystring from django_tables2 %}{% block sb_admin_title %}Detail grafu{% endblock sb_admin_title %}
{% block sb_admin_subheading %}
{% endblock sb_admin_subheading %}

{% block osvald_content %}

<script type="text/javascript" src="https://www.google.com/jsapi"></script>
       <script type="text/javascript" src="{% static "js/graphs/google-loader.js"%}"></script>
    <script type="text/javascript">
      google.charts.load("current", {packages:["controls","corechart"]});
      </script>


     <form method="get">
     <div class="filters_detail">
    {{ filter.form.as_p }}
    <button type="submit" name="users" value="{{ users }}" class="btn btn-primary"><span class="glyphicon glyphicon-search"></span> Vyfiltrovat </button></div>
  </form>


    <div class="row">


                      <div class="col-lg-12">

                            <div class="panel-body">

                                   {{ graf.graf.as_html }}


                            </div>
                        </div>

    </div>

{% render_table table %}
        {% for format in table.export_formats %}
<a href="{% querystring '_export'=format %}">
    download  <code>.{{ format }}</code>
</a>
    {% endfor %}


{% endblock osvald_content %}

osvald/templates/osvald/group_activity_users_view.html
{% extends "osvald/base.html" %}{% load static %}{% block sb_admin_title %}Všechny podřízené týmy uživatele {{ user_info }}{% endblock sb_admin_title %}
{% block sb_admin_subheading %}
    <small>Aktuální přehled aktivit</small>{% endblock sb_admin_subheading %}

{% block osvald_content %}
{% include 'osvald/components/graphs.html' %}

{% endblock osvald_content %}

osvald/templates/osvald/group_all_dependend_users_view.html
{% extends "osvald/base.html" %}{% load static %}{% block sb_admin_title %}Všichni podřízení uživatelé týmu {{ user_info }}{% endblock sb_admin_title %}
{% block sb_admin_subheading %}
    <small>Aktuální přehled aktivit</small>{% endblock sb_admin_subheading %}

{% block osvald_content %}
{% include 'osvald/components/graphs.html' %}

{% endblock osvald_content %}

osvald/templates/osvald/kapacity_detail.html
{% extends "osvald/base.html" %}{% load static %}{% load render_table from django_tables2 %}{% load querystring from django_tables2 %}{% block sb_admin_title %}Detail grafu{% endblock sb_admin_title %}
{% block sb_admin_subheading %}
{% endblock sb_admin_subheading %}

{% block osvald_content %}

<script type="text/javascript" src="https://www.google.com/jsapi"></script>
       <script type="text/javascript" src="{% static "js/graphs/google-loader.js"%}"></script>
    <script type="text/javascript">
      google.charts.load("current", {packages:["controls","corechart"]});
      </script>




    <div class="row">


                      <div class="col-lg-12">

                            <div class="panel-body">

                                   {{ graf.graf.as_html }}


                            </div>
                        </div>

    </div>

{% render_table table %}
        {% for format in table.export_formats %}
<a href="{% querystring '_export'=format %}">
    download  <code>.{{ format }}</code>
</a>
    {% endfor %}


{% endblock osvald_content %}

osvald/templates/osvald/mereni.html
{% extends "osvald/base.html" %}{% load static %}{% load mptt_tags %}{% block sb_admin_title %}Aktivity{% endblock sb_admin_title %}
{% block sb_admin_subheading %}
    <small>interaktivní zadávání</small>{% endblock sb_admin_subheading %}

{% block osvald_content %}



    <div class="tabbed-outer">

        <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
            {% for category in categories %}
                <li class="nav-item{% if  category.id == active_category.id %} active{% endif %}"  >
                    <a class="nav-link active" id="pills-{{ category.id_name }}-tab" data-toggle="pill"
                       href="#pills-{{ category.id_name }}" role="tab"
                       aria-controls="pills-{{ category.id_name }}" aria-selected="false"
                       style="background-color:{{ category.color }}"><i class="fa fa-{{ category.icon }}"
                                                                        style></i> {{ category.name }}</a>
                </li>
            {% endfor %}

        </ul>
        <hr class="activity-tab-line">
        <div class="tab-content" id="pills-tabContent">
            {% for category in categories %}
                <div class="tab-pane {% if  category.id == active_category.id %}active{% endif %} fade in" id="pills-{{ category.id_name }}" role="tabpanel"
                     aria-labelledby="pills-{{ category.id_name }}-tab">
                    <div class="row">
                        {% for template in category.template_activity_set.all|dictsortreversed:"priority" %}
                            <div class="col-lg-3 col-md-4 col-xl-2 activity">
                                <div class="panel panel-primary">
                                    <div class="panel-activity">
                                        <div class="row">
                                            <div class="col-xs-3" style="rotation: -30deg">
                                                <i class="fa fa-{{ template.icon }} fa-5x fa-big "></i>
                                            </div>
                                            <div class="col-xs-9 text-right">

                                                <div class="badge activity-info-badge"
                                                     data-content="{{ template.description }}<br/> <b>Průměrný čas za minulé období: </b>{{ template.avg_time }}"

                                                     rel="popover" data-placement="bottom"
                                                     data-original-title="{{ template.name }}" data-trigger="hover"
                                                     data-toggle="popover" data-placement="top" data-html="true"
                                                     data-html="true"> i
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                    <a href="#">
                                        <div class="panel-footer">
                                            <span class="pull-left">{{ template.name }}</span>
                                            <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                                            <div class="clearfix"></div>
                                        </div>
                                    </a>
                                    <div class="hidden metadata">
                                        <span class="activity-id">{{ template.id }}</span>
                                        <span class="activity-avg">{{ template.avg_time }}</span>
                                        <span class="activity-user-description">{{ template.description }}</span>

                                    </div>
                                </div>
                            </div>


                        {% endfor %}
                    </div>
                </div>
            {% endfor %}
            {% for active_metadata in active %}
                <div class="hidden active-activity-metadata">

                    <span class="active-activity-id">{{ active_metadata.id }}</span>
                    <span class="active-activity-name">{{ active_metadata.template.name }}</span>
                    <span class="active-activity-created">{{ active_metadata.created_at }}</span>
                    <span class="active-activity-updated">{{ active_metadata.updated_at }}</span>
                    <span class="active-activity-comment">{{ active_metadata.comment }}</span>
                    <span class="active-activity-customer">{{ active_metadata.customer_id }}</span>
                    <span class="active-activity-document">{{ active_metadata.document_id }}</span>
                    <span class="active-activity-multi">{% if active_metadata.count == 0 %}1{% else %}0{% endif %}</span>
                    <span class="active-activity-template-id">{{ active_metadata.template.id }}</span>
                    <span class="active-activity-allowed-subtype">{{ active_metadata.template.alow_subtype }}</span>

                </div>
            {% endfor %}
        </div>
    </div>


  </div>
 {% include 'osvald/components/modal.html' %}


{% endblock osvald_content %}